package com.datacloudsec.response;

import com.datacloudsec.utils.JsonUtil;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/* loaded from: com_datacloudsec_response.jar:com/datacloudsec/response/QianxinResponse.class */
public class QianxinResponse implements IResponse {
    protected boolean success;
    protected Boolean escapeHtml;
    private String dateFormat;
    protected Map<String, Object> dataObj;

    @Override // com.datacloudsec.response.IResponse
    public boolean isSuccess() {
        return this.success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public Boolean getEscapeHtml() {
        return this.escapeHtml;
    }

    public void setEscapeHtml(Boolean escapeHtml) {
        this.escapeHtml = escapeHtml;
    }

    public String getDateFormat() {
        return this.dateFormat;
    }

    public void setDateFormat(String dateFormat) {
        this.dateFormat = dateFormat;
    }

    public QianxinResponse(boolean success, boolean escapeHtml) {
        this.escapeHtml = true;
        this.dateFormat = "yyyy-MM-dd HH:mm:ss";
        this.dataObj = new HashMap();
        this.success = success;
        this.dataObj.put("status", Integer.valueOf(success ? 0 : -1));
        this.escapeHtml = Boolean.valueOf(escapeHtml);
    }

    public QianxinResponse(boolean success) {
        this(success, true);
    }

    public void putObj(String key, Object obj) {
        if (obj != null) {
            this.dataObj.put(key, obj);
        }
    }

    public void putAll(Map<String, Object> map) {
        if (map != null) {
            this.dataObj.putAll(map);
        }
    }

    @Override // com.datacloudsec.response.IResponse
    public void shipToResponse(HttpServletRequest request, HttpServletResponse response) {
        try {
            response.setContentType("text/html;charset=UTF-8");
            JsonUtil.createMapper(this.dateFormat, this.escapeHtml.booleanValue()).writeValue(response.getWriter(), this.dataObj);
        } catch (Exception e) {
            LOG.error("响应ajax结果出错", e);
        }
    }

    public String toString() {
        try {
            return JsonUtil.createMapper(this.dateFormat, this.escapeHtml.booleanValue()).writeValueAsString(this.dataObj);
        } catch (Exception e) {
            LOG.error("转换JSON出错", e);
            return null;
        }
    }
}
